Loading...
Searching...
No Matches
caf::attachable Class Reference

Callback utility class. More...

`#include <attachable.hpp>`

## Classes

struct | token
| Represents a pointer to a value with its subtype as type ID number. More...

## Public Member Functions

| attachable (const attachable &)=delete
attachable & | operator= (const attachable &)=delete
virtual void | actor_exited (const error &fail_state, execution_unit *host)
| Executed if the actor finished execution with given reason.
virtual bool | matches (const token &what)
| Returns true if what selects this instance, otherwise false.
template<class T>
bool | matches (const T &what)
| Returns true if what selects this instance, otherwise false.

## Public Attributes

std::unique_ptr< attachable > | next

## Related Symbols

(Note that these are not member symbols.)
using | attachable_ptr = std::unique_ptr<attachable>

## Detailed Description

Callback utility class.

## Member Function Documentation

## actor_exited()

virtual void caf::attachable::actor_exited | ( | const error & | fail_state,
|  | execution_unit * | host )

virtual

Executed if the actor finished execution with given reason.

The default implementation does nothing.

Warning
  host can be nullptr

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/attachable.hpp